﻿//------------------------------------------------------------------------------
// <auto-generated>
//     Ce code a été généré à partir d'un modèle.
//
//     Des modifications manuelles apportées à ce fichier peuvent conduire à un comportement inattendu de votre application.
//     Les modifications manuelles apportées à ce fichier sont remplacées si le code est régénéré.
// </auto-generated>
//------------------------------------------------------------------------------

namespace ecommerce_management.Models
{
    using System;
    using System.Data.Entity;
    using System.Data.Entity.Infrastructure;
    using System.Data.Entity.Core.Objects;
    using System.Linq;
    
    public partial class EcommerceDBEntities : DbContext
    {
        public EcommerceDBEntities()
            : base("name=EcommerceDBEntities")
        {
        }
    
        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            throw new UnintentionalCodeFirstException();
        }
    
        public virtual DbSet<Category> Category { get; set; }
        public virtual DbSet<Books> Books { get; set; }
        public virtual DbSet<Commande> Commande { get; set; }
        public virtual DbSet<DetailCommand> DetailCommand { get; set; }
        public virtual DbSet<contact> contacts { get; set; }
    
        public virtual ObjectResult<Books> SearchProduit(string nom, Nullable<System.DateTime> date1, Nullable<System.DateTime> date2, Nullable<int> categID, Nullable<int> prix1, Nullable<int> prix2)
        {
            var nomParameter = nom != null ?
                new ObjectParameter("nom", nom) :
                new ObjectParameter("nom", typeof(string));
    
            var date1Parameter = date1.HasValue ?
                new ObjectParameter("date1", date1) :
                new ObjectParameter("date1", typeof(System.DateTime));
    
            var date2Parameter = date2.HasValue ?
                new ObjectParameter("date2", date2) :
                new ObjectParameter("date2", typeof(System.DateTime));
    
            var categIDParameter = categID.HasValue ?
                new ObjectParameter("categID", categID) :
                new ObjectParameter("categID", typeof(int));
    
            var prix1Parameter = prix1.HasValue ?
                new ObjectParameter("prix1", prix1) :
                new ObjectParameter("prix1", typeof(int));
    
            var prix2Parameter = prix2.HasValue ?
                new ObjectParameter("prix2", prix2) :
                new ObjectParameter("prix2", typeof(int));
    
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction<Books>("SearchProduit", nomParameter, date1Parameter, date2Parameter, categIDParameter, prix1Parameter, prix2Parameter);
        }
    
        public virtual ObjectResult<Books> SearchProduit(string nom, Nullable<System.DateTime> date1, Nullable<System.DateTime> date2, Nullable<int> categID, Nullable<int> prix1, Nullable<int> prix2, MergeOption mergeOption)
        {
            var nomParameter = nom != null ?
                new ObjectParameter("nom", nom) :
                new ObjectParameter("nom", typeof(string));
    
            var date1Parameter = date1.HasValue ?
                new ObjectParameter("date1", date1) :
                new ObjectParameter("date1", typeof(System.DateTime));
    
            var date2Parameter = date2.HasValue ?
                new ObjectParameter("date2", date2) :
                new ObjectParameter("date2", typeof(System.DateTime));
    
            var categIDParameter = categID.HasValue ?
                new ObjectParameter("categID", categID) :
                new ObjectParameter("categID", typeof(int));
    
            var prix1Parameter = prix1.HasValue ?
                new ObjectParameter("prix1", prix1) :
                new ObjectParameter("prix1", typeof(int));
    
            var prix2Parameter = prix2.HasValue ?
                new ObjectParameter("prix2", prix2) :
                new ObjectParameter("prix2", typeof(int));
    
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction<Books>("SearchProduit", mergeOption, nomParameter, date1Parameter, date2Parameter, categIDParameter, prix1Parameter, prix2Parameter);
        }
    }
}
